<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}
if ($acces == 1) {
if($admintest && $adminsecu)  {

echo "<table width='100%' border='1'>"
	."<tr><td></td><td bgcolor=\"$bgcolor2\">"._NAME."</td><td bgcolor=\"$bgcolor2\">"._SIZE."</td><td bgcolor=\"$bgcolor2\">"._DATE."</td></tr>";
$dir = dir(''.$cache.'/Modules/');
while ( $namefile = $dir->read() ) {

if ($namefile === '.' OR $namefile === '..' OR $namefile === '.htaccess' OR $namefile === 'index.html') continue;

$filesizenamefile = filesize(''.$cache.'/Modules/'.$namefile.'');
$datenamefile = filemtime(''.$cache.'/Modules/'.$namefile.'');
$datenamefile = date('d.m.Y H:m:s', $datenamefile);
echo "<tr><td><a href='".$admin_file.".php?op=DeleteFilecMax&amp;filename=$namefile'><img src='images/no.png' alt='"._DELETE."' title='"._DELETE."' border='0' /></a><br />";


echo "<a href='".$admin_file.".php?op=ViewFilecMax&amp;filename=$namefile' onclick=\"NewsReadWindow(this.href,'ViewFile','600','400','yes');return false;\"><img src=\"images/view.gif\" alt=\""._SHOW."\" title=\""._SHOW."\" border=\"0\" width=\"17\" height=\"17\" /></a>";

echo "</td><td>  $namefile</td><td> $filesizenamefile octets</td><td> $datenamefile</td></tr>";
}
$dir->close() ;
clearstatcache();
echo "</table>";
die();


}
} else {
	echo "Access Denied";
}